@use '@angular/material' as mat;
@import '~compass-mixins/lib/compass/css3';
@import 'variables';
@import './helpers';
@import './modules';
@import './Form';
 


@import "~@angular/material/theming";

@include mat.core();

$app-primary: mat.define-palette(mat.$teal-palette, 500, 100, 900);
$app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

$app-warn: mat.define-palette(mat.$red-palette);

$app-default-theme: mat.define-light-theme(
  (
    color: (
      primary: $app-primary,
      accent: $app-accent,
      warn: $app-warn,
    ),
  )
);

@include mat.all-component-themes($app-default-theme);
$app-dark-theme: mat.define-dark-theme(
  (
    color: (
      primary: $app-primary,
      accent: $app-accent,
      warn: $app-warn,
    ),
  )
);

.darkMode {
  @include mat.all-component-colors($app-dark-theme);
}

body {
  margin: 0;
  font-family: 'Baloo Da 2', cursive;
  background-color: $app_grey;
}
 

html {
  font-size: 10px;
  @include responsive(tablet desktop) {
    font-size: 12px;
  }
}
.modal-open .modal {
  overflow-x: hidden;
  overflow-y: auto;
}

.mat-drawer-inner-container {
  width: auto;
  height: auto;
  overflow: hidden!important;;
}
.toast-container {
  top: 80px;
  .toast-header {
    background-color: #16a085;
    color: #fff;
    opacity: 0.8;
  }
  .toast-message {
    width: 250px;
    padding: 10px;
  }
}
.panel-heading {
  background: #3d3d3d;
  color: white;
  padding: 10px 20px;
  font-weight: 500;
}
.panel-body {
  padding: 30px;
  border: 1px solid #3d3d3d;
}
.panel {
  margin: 20px 0 20px 0;
}

html,
body {
  height: 100%;
}
 
main {
  background: #e9ecef66;
}
.cdk-overlay-pane.my-dialog {
  position: relative !important;
}
.close.mat-button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 5px;
  line-height: 20px;
  min-width: 20px;
}

.mat-drawer:not(.mat-drawer-side) {
  position: fixed;
}

.mat-drawer-backdrop {
  position: fixed !important;
}

.angular-tel-input {
  font-size: 16px;
  background: #ffffff;
  border: 1px solid #cacaca;
  border-radius: 5px;
  width: 300px;
  height: 40px;
  outline: none;
  padding: 18.5px 14px 18.5px 58px;
  transition: box-shadow ease 0.25s, border-color ease 0.25s;
}
.angular-tel-input-error {
  font-size: 16px;
  background: #ffffff;
  border: 2px solid red;
  border-radius: 5px;
  width: 300px;
  height: 40px;
  outline: none;
  padding: 18.5px 14px 18.5px 58px;
  transition: box-shadow ease 0.25s, border-color ease 0.25s;
}

.HideOnDesktop {
  @include responsive(desktop) {
    display: none !important;
  }
}

.HideOnTablet {
  @include responsive(tablet) {
    display: none !important;
  }
}

.HideOnMobile {
  @include responsive(mobile) {
    display: none !important;
  }
}

@import '~bootstrap/scss/bootstrap';

/* Importing Bootstrap SCSS file. */
@import '~bootstrap/scss/bootstrap';
